Bug 46446

Summary: Ошибка /usr/lib64/cracklib_dict.pwd.gz: No such file or directory при запуске afppasswd
Product: Sisyphus Reporter: Alexander Makeenkov <amakeenk>
Component: netatalkAssignee: Ilya Mashkin <oddity>
Status: REOPENED --- QA Contact: qa-sisyphus
Severity: normal    
Priority: P5 CC: mike, snowmix
Version: unstable   
Hardware: x86_64   
OS: Linux   

Description Alexander Makeenkov 2023-06-08 11:59:40 MSK
- Версия пакета -
netatalk-3.1.13-alt1

- Шаги воспроизведения -
# apt-get install netatalk
# systemctl start netatalk
# afppasswd -a test

- Получаемый результат -
# afppasswd -a test
Enter NEW AFP password: 
/usr/lib64/cracklib_dict.pwd.gz: No such file or directory
Error: error loading dictionary

Если запустить с параметром -n, то ошибки нет.
-n        disable cracklib checking of passwords
Comment 1 Repository Robot 2023-09-28 04:56:54 MSK
netatalk-3.1.17-alt1 -> sisyphus:

 Thu Sep 28 2023 Ilya Mashkin <oddity@altlinux.ru> 3.1.17-alt1
 - 3.1.17 (fixed CVE-2023-42464, CVE-2022-23121, CVE-2022-23123,
    CVE-2022-43634 and CVE-2022-45188)
 - Add /etc/netatalk/afppasswd (Closes: #46445)
 - Add /var/lib/netatalk (Closes: #46441)
 - Add Requires: cracklib-words (Closes: #46446)
Comment 2 Alexander Makeenkov 2023-09-29 15:16:41 MSK
netatalk-3.1.17-alt1

Ошибка не исправлена:

# afppasswd -a test
Enter NEW AFP password: 
/usr/lib64/cracklib_dict.pwd.gz: No such file or directory
Error: error loading dictionary

# rpm -ql cracklib-words
/usr/share/cracklib/cracklib-words
Comment 3 Repository Robot 2023-09-29 15:55:42 MSK
netatalk-3.1.17-alt1 -> c10f1:

 Thu Sep 28 2023 Ilya Mashkin <oddity@altlinux.ru> 3.1.17-alt1
 - 3.1.17 (fixed CVE-2023-42464, CVE-2022-23121, CVE-2022-23123,
    CVE-2022-43634 and CVE-2022-45188)
 - Add /etc/netatalk/afppasswd (Closes: #46445)
 - Add /var/lib/netatalk (Closes: #46441)
 - Add Requires: cracklib-words (Closes: #46446)
Comment 4 Alexander Makeenkov 2023-09-29 16:04:38 MSK
(Ответ для Alexander Makeenkov на комментарий #2)
> netatalk-3.1.17-alt1
> 
> Ошибка не исправлена:
> 
> # afppasswd -a test
> Enter NEW AFP password: 
> /usr/lib64/cracklib_dict.pwd.gz: No such file or directory
> Error: error loading dictionary
> 
> # rpm -ql cracklib-words
> /usr/share/cracklib/cracklib-words
Comment 5 Repository Robot 2023-10-06 12:22:00 MSK
netatalk-3.1.17-alt1 -> c10f2:

 Thu Sep 28 2023 Ilya Mashkin <oddity@altlinux.ru> 3.1.17-alt1
 - 3.1.17 (fixed CVE-2023-42464, CVE-2022-23121, CVE-2022-23123,
    CVE-2022-43634 and CVE-2022-45188)
 - Add /etc/netatalk/afppasswd (Closes: #46445)
 - Add /var/lib/netatalk (Closes: #46441)
 - Add Requires: cracklib-words (Closes: #46446)
Comment 6 Mikhail Chernonog 2023-10-06 15:33:12 MSK
Ошибка не исправлена.